# Maintainer: tio <ask at tromjaro dot com>

pkgbase=tromjaro-settings
pkgname=("tromjaro-settings")
pkgver=8.4
pkgrel=1
arch=("any")
url="https://gitlab.com/tromsite/tromjaro/gnome-settings"
license=("GPL")
source=("tromjaro-settings::git+$url.git"
        "tromjaro-iio-sensor-proxy.install")
makedepends=("git")
sha256sums=('SKIP'
            '1149142417cde75b993bc289f69bb58b5a134e3d4b7ee05b39d84d2ac91d6089')


package_tromjaro-settings() {

pkgname=tromjaro-settings
pkgdesc="TROMjaro Settings"
depends=('iio-sensor-proxy')
install=tromjaro-iio-sensor-proxy.install

	install -Dm644 "${srcdir}/${pkgbase}/schemas/99_tromjaro-settings.gschema.override" \
					"${pkgdir}/usr/share/glib-2.0/schemas/99_tromjaro-settings.gschema.override"

	install -Dm644 "${srcdir}/${pkgbase}/schemas/user" "${pkgdir}/etc/dconf/profile/user"
	install -Dm644 "${srcdir}/${pkgbase}/schemas/10_tromjaro-defaults" "${pkgdir}/etc/dconf/db/site.d/10_tromjaro-defaults"
}

